# Tos

{% openapi src="<https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json>" path="/api/v3/tos" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

{% openapi src="<https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json>" path="/api/v3/tos/100" method="get" %}
[UshahidiV3.json](https://content.gitbook.com/content/tXIYKGMTeHub5C8O9fER/blobs/TC8KXqdBoVrA1ZGmo9Kk/UshahidiV3.json)
{% endopenapi %}

## Add tos

<mark style="color:green;">`POST`</mark> `https://ushahididocs.api.ushahidi.io/api/v3/tos`

#### Request Body

| Name               | Type   | Description               |
| ------------------ | ------ | ------------------------- |
| user\_id           | String | The user identifier       |
| tos\_version\_date | String | The version date of "tos" |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "counts": 0,
  "results": [
    {
      "id": 0,
      "url": "string",
      "user": {
        "id": 0,
        "url": "string"
      },
      "agreement_date": "string",
      "tos_version_date": "string",
      "allowed_privileges": [
        "string"
      ]
    }
  ]
}
```

{% endtab %}
{% endtabs %}
